Passer au contenu principal
POST
https://{tenantDomain}/api/v2
/
clients
/
cimd
/
preview
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Clients.PreviewCimdMetadataAsync(
            new PreviewCimdMetadataRequestContent {
                ExternalClientId = "external_client_id"
            }
        );
    }

}
{
  "client_id": "<string>",
  "errors": [
    "<string>"
  ],
  "validation": {
    "valid": true,
    "violations": [
      "<string>"
    ],
    "warnings": [
      "<string>"
    ]
  },
  "mapped_fields": {
    "external_client_id": "<string>",
    "name": "<string>",
    "app_type": "<string>",
    "callbacks": [
      "<string>"
    ],
    "logo_uri": "<string>",
    "description": "<string>",
    "grant_types": [
      "<string>"
    ],
    "token_endpoint_auth_method": "<string>",
    "jwks_uri": "<string>",
    "client_authentication_methods": {
      "private_key_jwt": {
        "credentials": [
          {
            "credential_type": "<string>",
            "kid": "<string>",
            "alg": "<string>"
          }
        ]
      }
    }
  }
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corps

external_client_id
string<absolute-https-uri-or-empty>
requis

URL to the Client ID Metadata Document

Required string length: 1 - 120

Réponse

Metadata successfully fetched and validated, or retrieval error returned with errors array.

client_id
string

The client_id of an existing client registered with this external_client_id, if one exists.

errors
string[]

Array of retrieval errors (populated when the metadata document could not be fetched). When present, validation is omitted.

validation
object

Validation result for the Client ID Metadata Document

mapped_fields
object

Auth0 client fields mapped from the Client ID Metadata Document